Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface PrivilegedExceptionAction

public interface PrivilegedExceptionAction

A computation to be performed with privileges enabled, that throws one or more checked exceptions. The computation is performed by invoking `AccessController.doPrivileged` on the `PrivilegedExceptionAction` object. This interface is used only for computations that throw checked exceptions; computations that do not throw checked exceptions should use `PrivilegedAction` instead.

See Also:
  `AccessController`, `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction, AccessControlContext)`, `PrivilegedAction`

Method Summary
`Object` | `run()` Performs the computation.

Method Detail

### run

    public Object run()
               throws Exception

  Performs the computation. This method will be called by `AccessController.doPrivileged` after enabling privileges.
  Returns:
    a class-dependent value that may represent the results of the computation. Each class that implements `PrivilegedExceptionAction` should document what (if anything) this value represents.
  Throws:
    `Exception` - an exceptional condition has occurred. Each class that implements `PrivilegedExceptionAction` should document the exceptions that its run method can throw.
  See Also:
    `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction,AccessControlContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >